package com.mathworks.pack1;

import com.mathworks.pack2.Inner;

import javax.swing.AbstractAction;
import javax.swing.JButton;
import javax.swing.JFrame;
import java.awt.EventQueue;
import java.awt.event.ActionEvent;

public class Outer {
    public static void main(String[] args) {
        System.out.println("in Outer");
        EventQueue.invokeLater(new Runnable() {
            public void run() {
                showGUI();
            }
        });
    }

    public static void showGUI() {
        JFrame f = new JFrame();
        f.add(new JButton(new AbstractAction("Click me") {
            public void actionPerformed(ActionEvent e) {
                new Inner();
            }
        }));
        f.pack();
        f.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
        f.setVisible(true);
    }
}
